Bug 1567262 - missing Recommends: python2-lldb
Summary: missing Recommends: python2-lldb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lldb
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 17:05 UTC by Jan Kratochvil
Modified: 2018-10-10 21:53 UTC (History)
7 users (show)

Fixed In Version: lldb-5.0.2-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-10 21:53:22 UTC
Type: Bug


Attachments (Terms of Use)
Comment 0 sample code (138 bytes, text/plain)
2018-09-18 00:35 UTC, Jan Kratochvil
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1575291 0 unspecified CLOSED Switch lldb to Python 3 2021-02-22 00:41:40 UTC

Internal Links: 1575291

Description Jan Kratochvil 2018-04-13 17:05:12 UTC
Description of problem:
LLDB does not really work without its python2-lldb package but one cannot easily figure that out.

Version-Release number of selected component (if applicable):
FAIL: lldb-5.0.1-1.fc27.x86_64
FAIL: lldb-6.0.0-1.fc28.x86_64

How reproducible:
Always.

Steps to Reproduce:
dnf install lldb
lldb myprog
-> 6   	  std::vector<int> v (1, 2);
(lldb) n
(lldb) p v

Actual results:
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named lldb.embedded_interpreter
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
(std::vector<int, std::allocator<int> >) $0 = size=1 {
  std::_Vector_base<int, std::allocator<int> > = {
    _M_impl = {
      _M_start = 0x0000000000614e70
      _M_finish = 0x0000000000614e74
      _M_end_of_storage = 0x0000000000614e74
    }
  }
}

Expected results:
(std::vector<int, std::allocator<int> >) $0 = size=1 {
  [0] = 2
}

Additional info:
It would be solved by:
  Recommends: python2-lldb
Or maybe even:
  Requires: python2-lldb
But then I do not know why is python2-lldb a separate package.
BTW do you know how to build LLDB for Python 3?  There is some six.py doing some Python 2<->3 compatibility.

Comment 1 Tom Stellard 2018-09-17 21:57:37 UTC
Do you have the source code for this test case?

Comment 2 Jan Kratochvil 2018-09-18 00:35:50 UTC
Created attachment 1484214 [details]
Comment 0 sample code

Any trivial program using libstdc++ is enough, I used the attached one.

This Bug is still valid for:
FAIL: lldb-6.0.1-1.fc28.x86_64 python2-lldb-6.0.1-1.fc28.x86_64

Comment 3 Fedora Update System 2018-09-29 05:27:35 UTC
lldb-5.0.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c906f0913d

Comment 4 Fedora Update System 2018-09-30 00:47:43 UTC
lldb-5.0.2-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c906f0913d

Comment 5 Fedora Update System 2018-10-10 21:53:22 UTC
lldb-5.0.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.